// Copyright (c) 2020 UWB & LESP.
// The UWB & LESP license this file to you under the MIT license.

package cz.senslog.connector.model.v1;

import java.time.OffsetDateTime;

public class SensorInfo {

    public static class Phenomenon {

        private String phenomenonName;
        private String unit;

        public String getPhenomenonName() {
            return phenomenonName;
        }

        public void setPhenomenonName(String phenomenonName) {
            this.phenomenonName = phenomenonName;
        }

        public String getUnit() {
            return unit;
        }

        public void setUnit(String unit) {
            this.unit = unit;
        }
    }

    private OffsetDateTime firstObservationTime;
    private OffsetDateTime lastObservationTime;
    private Phenomenon phenomenon;
    private Long sensorId;
    private String sensorName;
    private String sensorType;

    public OffsetDateTime getFirstObservationTime() {
        return firstObservationTime;
    }

    public void setFirstObservationTime(OffsetDateTime firstObservationTime) {
        this.firstObservationTime = firstObservationTime;
    }

    public OffsetDateTime getLastObservationTime() {
        return lastObservationTime;
    }

    public void setLastObservationTime(OffsetDateTime lastObservationTime) {
        this.lastObservationTime = lastObservationTime;
    }

    public Phenomenon getPhenomenon() {
        return phenomenon;
    }

    public void setPhenomenon(Phenomenon phenomenon) {
        this.phenomenon = phenomenon;
    }

    public Long getSensorId() {
        return sensorId;
    }

    public void setSensorId(Long sensorId) {
        this.sensorId = sensorId;
    }

    public String getSensorName() {
        return sensorName;
    }

    public void setSensorName(String sensorName) {
        this.sensorName = sensorName;
    }

    public String getSensorType() {
        return sensorType;
    }

    public void setSensorType(String sensorType) {
        this.sensorType = sensorType;
    }
}
